3.7. Montando e Desmontando Sistemas de Arquivos
Anterior | Capítulo 3. Fundamentos do FreeBSD | Próxima

## 3.7. Montando e Desmontando Sistemas de Arquivos

O sistema de arquivos é melhor visualizado como uma árvore, enraizada, por assim dizer, em `/`. O `/dev`, `/usr`, e os outros diretórios no diretório raiz são ramos, que podem ter suas próprias ramificações, como `/usr/local` e assim por diante.

Existem várias razões para abrigar alguns desses diretórios em sistemas de arquivos separados. O `/var` contém os diretórios `log/`, `spool/` e vários tipos de arquivos temporários e, como tal, podem encher. Encher completamente o sistema de arquivos raiz não é uma boa ideia, então separar o `/var` do `/` geralmente é vantajoso.

Outro motivo comum para colocar determinadas árvores de diretório em outros sistemas de arquivos é se elas forem ser armazenadas em discos físicos separados ou se são discos virtuais separados, tal como montagens de NFS (Network File System), descritas em Seção 29.3, “Network File System (NFS)” ou unidades de CD-ROM.

### 3.7.1. O arquivo `fstab`

Durante o processo de inicialização (Capítulo 12, O processo de inicialização do FreeBSD), os sistemas de arquivos listados em `/etc/fstab` são automaticamente montados, exceto pelas entradas que contêm `noauto`. Este arquivo contém entradas no seguinte formato:

    device       /mount-point fstype     options      dumpfreq     passno

`device`

  Um nome de dispositivo existente, conforme explicado em Tabela 3.3, “Nomes de dispositivos de disco”.

`mount-point`

  Um diretório existente no qual montar o sistema de arquivos.

`fstype`

  O tipo de sistema de arquivos para passar para o mount(8). O sistema de arquivos padrão do FreeBSD é o `ufs`.

`options`

  `rw` para sistemas de arquivos de leitura/gravação, ou `ro` para sistemas de arquivos somente de leitura, seguidos por quaisquer outras opções que possam ser necessárias. Uma opção comum é `noauto` para sistemas de arquivos normalmente não montados durante a seqüência de inicialização. Outras opções estão listadas em mount(8).

`dumpfreq`

  Usado pelo dump(8) para determinar quais sistemas de arquivos requerem o dump. Se o campo estiver faltando, um valor zero será assumido.

`passno`

  Determina a ordem em que os sistemas de arquivos devem ser verificados. Os sistemas de arquivos que devem ser ignorados devem ter seu `passno` definido como zero. O sistema de arquivos raiz precisa ser verificado antes de todo o restante e deve ter seu `passno` definido como um. Os outros sistemas de arquivos devem ser configurados para valores maiores que um. Se mais de um sistema de arquivos tiver o mesmo `passno`, o fsck(8) tentará verificar os sistemas de arquivos em paralelo, se possível.

Consulte fstab(5) para obter maiores informações sobre o formato do `/etc/fstab` e suas opções.

### 3.7.2. Usando o mount(8)

Os sistemas de arquivos são montados usando o comando mount(8). A sintaxe mais básica é a seguinte:

    # mount device mountpoint

Este comando fornece muitas opções que são descritas em mount(8). As opções mais usadas incluem:

Opções de montagem

`-a`

  Monte todos os sistemas de arquivos listados em `/etc/fstab`, exceto aqueles marcados como “noauto”, excluídos pela opção `-t`, ou aqueles que já estão montados.

`-d`

  Faz tudo, exceto a chamada real do sistema de montagem. Esta opção é útil em conjunto com a opção `-v` para determinar o que o mount(8) está realmente tentando fazer.

`-f`

  Força a montagem de um sistema de arquivos sujo (perigoso) ou a revogação do acesso de gravação ao fazer o downgrade do status de montagem de um sistema de arquivos de leitura/gravação para somente leitura.

`-r`

  Monta o sistema de arquivos somente para leitura. Isso é idêntico ao uso de `-o ro`.

`-t` `fstype`

  Monta o tipo de sistema de arquivos especificado ou monta somente sistemas de arquivos do tipo especificado, se `-a`estiver incluído. “ufs” é o tipo de sistema de arquivos padrão.

`-u`

  Atualiza as opções de montagem no sistema de arquivos.

`-v`

  Fica verboso (mostra mais informações).

`-w`

  Monta o sistema de arquivos para leitura/gravação.

As seguintes opções podem ser passadas para `-o` como uma lista separada por vírgula:

nosuid

  Não interprete flags setuid ou setgid no sistema de arquivos. Essa também é uma opção de segurança útil.

### 3.7.3. Usando o umount(8)

Para desmontar um sistema de arquivos use umount(8). Esse comando usa um parâmetro que pode ser um ponto de montagem, um nome do dispositivo, `-a` ou `-A`.

Todos os usos aceitam `-f` para forçar a desmontagem e `-v` para ver mais informações. Atenção, em geral `-f` não é uma boa opção, pois pode travar o computador ou danificar os dados no sistema de arquivos.

Para desmontar todos os sistemas de arquivos montados, ou apenas os tipos de sistema de arquivos listados após `-t`, use `-a` ou `-A`. Note que `-A` não tenta desmontar o sistema de arquivos raiz.

Anterior | Acima | Próxima
3.6. Organização dos Discos | Principal | 3.8. Processos e Daemons

All FreeBSD documents are available for download at https://download.freebsd.org/ftp/doc/

Questions that are not answered by the documentation may be sent to <freebsd-questions@FreeBSD.org>.
Send questions about this document to <freebsd-doc@FreeBSD.org>.